Kerbal Space Program - Bug #22905

Rotation servos cannot be set back to 0 degree angle

06/16/2019 01:14 PM - Kirk

Status: Moot Start date: 06/16/2019
Severity: Low % Done: 0%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.7.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

When using the Target Angle slider to rotate a servo (possibly after editing it with a KAL-1000 controller), it cannot be set back to 0
(in the editor, at least). The closest it can be setis to 1 or -1. This makes setting up hinges before launching a craft a little difficult.

Workaround: use bug #22904.

History

#1 - 06/17/2019 02:48 PM - BadOaks

I've seen this, though I'm not sure it's a bug as much as a Ul problem with sliders. If you slowly drag the slider along you'll see it skips numbers
semi-randomly. You can get to zero eventually by repeatedly opening and closing the part info box and slowly dragging the slider back and forth

across zero, eventually it will land there. Not ideal.

#2 - 06/18/2019 07:07 AM - Kirk

Hence the Controls an Ul category XD

#3 - 07/13/2019 01:31 AM - Kirk

- Status changed from New to Moot

Floats can now be set to 0 through the new float editor.
